<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.plugins.ide.eclipse.model Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.plugins.ide.eclipse.model Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/package-tree.html">Prev</a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.plugins.ide.eclipse.model</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">AbstractClasspathEntry</span></a> (implements org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ClasspathEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model">ClasspathEntry</a>)
<ul>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">AbstractLibrary</span></a>
<ul>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Library.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Library</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Variable.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Variable</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Container.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Container</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ProjectDependency.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">ProjectDependency</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/SourceFolder.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">SourceFolder</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject (implements org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject)
<ul>
<li type="circle">org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject
<ul>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Jdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Jdt</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
<ul>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Classpath.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Classpath</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Project.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Project</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">WtpComponent</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WtpFacet.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">WtpFacet</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AccessRule.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">AccessRule</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/BuildCommand.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">BuildCommand</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">EclipseClasspath</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">EclipseJdt</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">EclipseModel</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">EclipseProject</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">EclipseWtp</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">EclipseWtpComponent</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtpFacet.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">EclipseWtpFacet</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Facet.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Facet</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Link.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Link</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Output.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Output</span></a> (implements org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ClasspathEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model">ClasspathEntry</a>)</li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbDependentModule.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">WbDependentModule</span></a> (implements org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbModuleEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model">WbModuleEntry</a>)</li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbProperty.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">WbProperty</span></a> (implements org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbModuleEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model">WbModuleEntry</a>)</li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbResource.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">WbResource</span></a> (implements org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbModuleEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model">WbModuleEntry</a>)</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ClasspathEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model"><span class="strong">ClasspathEntry</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model"><span class="strong">FileReference</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilter.html" title="interface in org.gradle.plugins.ide.eclipse.model"><span class="strong">ResourceFilter</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html" title="interface in org.gradle.plugins.ide.eclipse.model"><span class="strong">ResourceFilterMatcher</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbModuleEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model"><span class="strong">WbModuleEntry</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="strong">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterAppliesTo.html" title="enum in org.gradle.plugins.ide.eclipse.model"><span class="strong">ResourceFilterAppliesTo</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Facet.FacetType.html" title="enum in org.gradle.plugins.ide.eclipse.model"><span class="strong">Facet.FacetType</span></a></li>
<li type="circle">org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterType.html" title="enum in org.gradle.plugins.ide.eclipse.model"><span class="strong">ResourceFilterType</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/package-tree.html">Prev</a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
